-- Overwrite item dropping
core.item_drop = function(itemstack, dropper, pos)
	if dropper and dropper:is_player() then
		if core.is_creative_enabled(dropper:get_player_name()) then
			-- Drop item in Creative Mode: destroy item without dropping on ground
			return ItemStack("")
		end
	end
	-- Forbid droppg item in game
	return itemstack
end
